This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 642587 - Selecting a table row does not unselect previously selected rows
Selecting a table row does not unselect previously selected rows
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-table-details
  Show dependency treegraph
 
Reported: 2010-10-13 07:55 EDT by Sunil Kondkar
Modified: 2011-05-23 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2010-10-13 07:55:24 EDT
Description of problem:

If user selects a row in a table (Ex: Manage users table) and then again clicks to select another single row, the previous row does not get unselected and it shows both rows as selected.

Version-Release number of selected component (if applicable):

rhq build#409

How reproducible:
Always

Steps to Reproduce:

1) Login to JON using appropriate credential

2) Navigate to a table (Ex: Manage Users or RHQ Agent->Configuration->History table)

3) Click on first row.

4) Click on second row. (It displays both first and second row selected)
  
Actual results:
Previously selected rows remains selected if user tries to select other single row.

Expected results:
User should be able to select a single row, previously selected rows should get unselected.

Additional info:
Comment 1 Jay Shaughnessy 2011-02-14 09:23:34 EST
Should be working now. As designed:
- clicking unselected row will select and unselect any previously selected rows
- clicking selected row leaves row selected, unselects any other selected rows
- Ctrl-click toggles row selection state, other rows unchanged
- Shift-click selects range of rows
- Dbl-Click opens up detail for row (where applicable, typically the same as clicking on the 'name' attribute link).
Comment 2 Sunil Kondkar 2011-03-28 06:02:43 EDT
Verified on build 1090 (Version: 4.0.0-SNAPSHOT Build Number: f19c23e)

User is able to select a single row, previously selected rows get unselected.
Ctrl-click toggles row selection state. Shift-click selects range of rows
 and double-Click opens up detail for row.

Marking as verified.
Comment 3 Corey Welton 2011-05-23 21:10:06 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.